<template>
    <nav class='navbar navbar-expand navbar-light bg-light'>
        <a class='navbar brand'>{{title}}</a>
        <ul class='nav nav-pills'>
            <router-link to="/login" tag="li" class="nav-item"><a class='nav-link' v-if="!isAuthenticated">Login</a></router-link>
            <router-link to="/register" tag="li" class="nav-item"><a class='nav-link' v-if="!isAuthenticated">Register</a></router-link>
            <router-link to="/shop" tag="li" class="nav-item" v-if="isAuthenticated"><a class='nav-link'>Shop</a></router-link>
            <router-link to="/shop/cart" class="nav-item" tag="li" v-if="isAuthenticated"><a class='nav-link'>Cart[{{itemsInCart.length}}]</a></router-link>
            <router-link to="/shop/add" tag="li" class="nav-item" v-if="isAuthenticated"><a class='nav-link'>Add Product</a></router-link>
        </ul>
        <ul class="navbar-nav ml-auto" v-if="isAuthenticated">
            <li class="nav-item">
                <a class="nav-link">Welcome {{ username }}</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" style="cursor: pointer; color: red" @click="onLogOut">Log Out</a>
            </li>
        </ul>
    </nav>
</template>

<script>
    import { mapGetters } from 'vuex';
    export default {
        data() {
            return {
                title: 'Welcome to Nepali Amazon'
            }
        },
        computed: {
            ...mapGetters([
                "isAuthenticated",
                "username",
                "itemsInCart"
            ]),
        },
        methods : {
            onLogOut() {
                if(confirm("Are you sure you want to logout?")) {
                    this.$store.dispatch('logout');
                }
            }
        }
    }
</script>